Skip to main content

Snapshot Actives

info

屬於 開發者 及 進階用戶 方案的專屬功能!

取得股票成交量值排行(依市場別),系統更新頻率為每五秒更新一次。

GET /snapshot/actives/{market}

Parameters​

NameTypeDescription
market*string市場別,可選 TSE 上市;OTC 上櫃;ESB 興櫃一般板;TIB 臺灣創新板
trade*string成交量/成交值,可選 volume 成交量;value 成交值
typestring標的類型,可選 ALLBUT0999 包含一般股票、特別股及 ETF;COMMONSTOCK 為一般股票

Response​

NameTypeDescription
date*string日期
time*string時間
market*string市場別
trade*string成交量/成交值
data*object[]快照資料
data[0].typestringTicker 類型
data[0].symbolstring股票代碼
data[0].namestring股票簡稱
data[0].openPricenumber開盤價
data[0].highPricenumber最高價
data[0].lowPricenumber最低價
data[0].closePricenumber收盤價
data[0].changenumber漲跌
data[0].changePercentnumber漲跌幅
data[0].tradeVolumenumber成交量
data[0].tradeValuenumber成交金額
data[0].lastPricenumber最後一筆成交價;當日尚無成交時不回傳
data[0].lastUpdatednumber快照時間

Example​

curl -X 'GET' \
'https://api.fugle.tw/marketdata/v1.0/stock/snapshot/actives/TSE?trade=value' \
-H 'X-API-KEY: <YOUR_API_KEY>'

Response Body:

{
"date": "2026-10-08",
"time": "140000",
"market": "TSE",
"trade": "value",
"data": [
{
"type": "EQUITY",
"symbol": "2330",
"name": "台積電",
"openPrice": 2550,
"highPrice": 2575,
"lowPrice": 2550,
"closePrice": 2550,
"change": -35,
"changePercent": -1.35,
"tradeVolume": 20154,
"tradeValue": 51508925000,
"lastPrice": 2550,
"lastUpdated": 1791437400000000
},
{
"type": "EQUITY",
"symbol": "2408",
"name": "南亞科",
"openPrice": 522,
"highPrice": 537,
"lowPrice": 522,
"closePrice": 532,
"change": 18,
"changePercent": 3.5,
"tradeVolume": 62584,
"tradeValue": 33256374000,
"lastPrice": 532,
"lastUpdated": 1791437400000000
},
{
"type": "EQUITY",
"symbol": "2454",
"name": "聯發科",
"openPrice": 4800,
"highPrice": 4850,
"lowPrice": 4690,
"closePrice": 4690,
"change": -145,
"changePercent": -3,
"tradeVolume": 6377,
"tradeValue": 30281030000,
"lastPrice": 4690,
"lastUpdated": 1791437400000000
},
......
]
}